%% Code to reproduce Figure 7 in the paper
% Catherine Higham, UoGlasgow January 2024

vref=imresize(vref,[N,N]);
vref=vref((1+crop):(end-crop),(1+crop):(end-crop));
xr=rot90(reshape(vref(:),Nc,Nc),2);%/10;
m=scatter3(10*xr(:),xq(:),yq(:),'fill');
m.CData=10*xr(:);
m.SizeData=1;
set(gca,'XLim',[0 5],'YLim',[0 N],'ZLim',[0 N])
ax=gca;
ax.YTickLabel=[];
ax.ZTickLabel=[];
ax.XTick=[0:0.5:10];
ax.XTickLabel{2}='';
ax.XTickLabel{4}='';
ax.XTickLabel{6}='';
ax.XTickLabel{8}='';
ax.XTickLabel{10}='';
ax.XTickLabel{12}='';
ax.XTickLabel{14}='';
ax.XTickLabel{16}='';
ax.XTickLabel{18}='';
ax.XTickLabel{20}='';
caxis(ax,[0 5]);