function [dly, u6, u5, u4, u3, u2, u1, dls, d1, d2, st] = new_short_HyLiDAR_workreconst_0603_1029TEST_1115v4(x,y,s,l,Nxy,edges,paramsGen,stGen)
% load network
 %z = shelp(s,Nxy,edges);
[dly, u6, u5, u4, u3, u2, u1, dls, d1, d2, st] = Generator(x,s,l,edges,paramsGen,stGen);

end




%% Helper Functions
%% s help function
function z = shelp(s,Nxy,edges)
%edges=0.0075:0.0075:10.0075;
%size(s)
for i2=1:size(s,4)
    for i3=1:size(s,3)
si2=squeeze(gather(extractdata(s(:,:,i3,i2))));
zi2=datasample(1:length(s),(Nxy^2),'Weight',si2);
%[a2, ~]=sort(zi2,'ascend');
%size(zi2)
%max(zi2(:))
z(:,:,i3,i2)=reshape(edges(zi2),Nxy,Nxy,1);
%z(:,:,(5*(i3-1)+1):(5*(i3-1)+5),i2)=reshape(edges(zi2),Nxy,Nxy,5)/10;
    end 
    
    end
%size(z)
z=gpdl(z(:,:,:,:),'SSCB');
end
%%
function parameter = initializeUniform(parameterSize,sigma)
if nargin < 2
    sigma = 0.05;
end
parameter = 2*sigma*rand(parameterSize, 'single')-sigma;
end

%% Generator
%function [dly, u7, u6, d0, st] = Generator(dlx,dls,l,edges,params,st)
%% Generator
%function [dly, u7, u6, dls, d7, d6, d5, d4, d3, d2, d1, u1, u2, u3, u4, u5, st] = Generator(dlx,dls,l,edges,params,st)
%% Generator
function [dly, u6, u5, u4, u3, u2, u1, dls, d1, d2, st] = Generator(dlx,dls,l,edges,params,st)
%size(dls)
dls = newshelp(dls,edges);
%dls=dls./max(dls);
%size(dls)
%dls=dltranspconv(dls,params.EMW1,params.EMb1,"Stride",2,"Cropping","same");
% 'size(dls)'
% size(dls)
%size(dls)
 dls = dlconv(dls,params.EMW1,params.EMb1,...
             'Stride',1);
 dls=reshape(dls,128,128,1,[]);
% dls=sigmoid(dls);
 dls=gpdl(dls(:,:,:,:),'SSCB');

dlx=cat(3,dls,dlx);        
        
dly = dlconv(dlx,params.CNW1,params.CNb1,...
            'Stride',2,'Padding','same');
d1 = leakyrelu(dly,.2);

exstatconv ='d%d = dlconv(d%d,params.CNW%d,params.CNb%d,"Stride",2,"Padding","same");';
exstatconv5 ='d%d = dlconv(d%d,params.CNW%d,params.CNb%d,"Stride",1,"Padding",0);';
exstatleak = 'd%d = leakyrelu(d%d,.2);';
exstatbatch='[d%d,st] = batchnormwrap(d%d,params,st,%d);'; 
exstattran = 'u%d = dltranspconv(u%d,params.TCW%d,params.TCb%d,"Stride",2,"Cropping","same");';
exstatrelu = 'u%d = relu(u%d);';
exstatbatch2='[u%d,st] = batchnormwrap(u%d,params,st,%d);'; 
exstatcat = 'u%d=cat(3,u%d,d%d);';
for i = 2:6
    eval(sprintf(exstatconv,i,i-1,i*ones(1,2)));
    eval(sprintf(exstatleak,i,i));
    %eval(sprintf(exstatbatch,i,i,i-1));
end
% i=5;
%     eval(sprintf(exstatconv,i,i-1,i*ones(1,2)));
%     eval(sprintf(exstatleak,i,i));
%     eval(sprintf(exstatbatch,i,i,i-1));
%  'size d1/d2/d3/d4/d5/d6'
%  size(d1)
%  size(d2)
%  size(d3)
%  size(d4)
%  size(d5)
%  size(d6)


%d6=cat(3,d6,dls);
% 'size d6'
% size(d6)
u1=dltranspconv(d6,params.TCW1,params.TCb1,'Stride',2,'Cropping','same');

% 'size d4'
% size(d4)
%u1=batchnormwrap(u1,params,st,7);
% 'size u1 u5 before cat'
% size(u1)
% size(d5)
%u1=cat(3,u1,d5);
% 'size u1'
% size(u1)
for i = 2:6
    
%    if i == 7
%    u7=dltranspconv(cat(3,u6,dls),params.TCW7,params.TCb7,"Stride",2,"Cropping","same");    
%    else
%    eval(sprintf(exstattran,i,i-1,i,i));
%    end
%i
    eval(sprintf(exstattran,i,i-1,i,i));

if i ~= 6 
        
        eval(sprintf(exstatrelu,i,i));
        %eval(sprintf(exstatbatch2,i,i,6+i));
 
%   eval(sprintf('size(u%d)',i))
%          sprintf(exstatcat,i,i,6-i)
        
%         size(u2)
%         size(d5) 
        eval(sprintf(exstatcat,i,i,6-i));
        %eval(sprintf('size(u%d)',i))
    end
end

dly = u6;

dly = dlconv(u6,params.CNWend,params.CNbend,...
            'Stride',1,'Padding','same');

dly = sigmoid(dly);


end

%% s help function
function z = newshelp(s,edges)
%edges=0.0075:0.0075:10.0075;
%size(s)
%edges=1/(2*100):1/(2*100):0.5;
%edges=edges*2;
for i2=1:size(s,4)
    %for i3=1:size(s,3)
si2=squeeze(gather(extractdata(s(:,:,:,i2))));
zi2=datasample(1:size(s,3),size(s,3),'Weight',si2);
%[a2, ~]=sort(zi2,'ascend');
%size(zi2)
%max(zi2(:))
z(1,1,:,i2)=edges(sort(zi2));
%z(:,:,(5*(i3-1)+1):(5*(i3-1)+5),i2)=reshape(edges(zi2),Nxy,Nxy,5)/10;
   % end 
    
    end
%size(z)
z=gpdl(z(:,:,:,:),'SSCB');
end
%% Preprocess Code
function x = preprocesscode(x)
x = x/max(x(:));
end
%% batchnormwrap
function [dly,st] = batchnormwrap(dlx,params,st,num)
exstat1=sprintf('if isempty(st.BN%d),',num);
exstat2=sprintf('[dly,st.BN%d.mu,st.BN%d.sig]=batchnorm(dlx,params.BNo%d,params.BNs%d,"MeanDecay",0.8);else,',num*ones(1,4));
exstat3=sprintf('[dly,st.BN%d.mu,st.BN%d.sig]=batchnorm(dlx,params.BNo%d,params.BNs%d,st.BN%d.mu,st.BN%d.sig,"MeanDecay",0.8);end',num*ones(1,6));
eval(strcat(exstat1,exstat2,exstat3));
end

%% extract data
function x = gatext(x)
x = gather(extractdata(x));
end
%% gpu dl array wrapper
function dlx = gpdl(x,labels)
dlx = gpuArray(dlarray(x,labels));
end
%% Weight initialization
function parameter = initializeGaussian(parameterSize,sigma)
if nargin < 2
    sigma = 0.05;
end
parameter = randn(parameterSize, 'single') .* sigma;
end
%% preprocess
function x = preprocess(x,Nxy)
% x = double(x)/255;
x = (x-.5)/.5;
x = reshape(x,Nxy,Nxy,3,[]);
end


%%
function nm = mynorm(params) 
P=params;
F=fieldnames(P);
%A = gather(extractdata(eval(strcat('P.',F{1}))));
A = extractdata(eval(strcat('P.',F{1})));
nm = norm(A(:),'fro');
for i=2:numel(F)
%A = gather(extractdata(eval(strcat('P.',F{i}))));
A = extractdata(eval(strcat('P.',F{i})));
nm = nm + norm(A(:),'fro');
end
end
%% embedding
function dly = embedding(dlx,l,params)
% params EM W (latent_dim,num_labels)
%               / (img_elements,num_labels)
%           b (latent_dim,1) (ignore)
%               / (img_elements,1)
maskW = params.EMW1(:,:,:,l);
%size(maskW)
%maskb = params.EMb1;
%size(maskb)
%dly = cat(3,dlx.*maskW(:,:,:,1),dlx.*maskW(:,:,:,2),dlx.*maskW(:,:,:,3),dlx.*maskW(:,:,:,4));
%size(dlx)
%dly = dlx.*maskW+maskb;
dly = dlx.*maskW;
end